Subject: Re: linux-next: manual merge of the net-next tree with Linus' tree

From: Colin Foster <[email-masked]>
Date: Tue, 20 Sep 2022 21:40:48 -0700

On Wed, Sep 21, 2022 at 11:00:32AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the net-next tree got a conflict in:
> 
>   drivers/pinctrl/pinctrl-ocelot.c
> 
> between commit:
> 
>   c297561bc98a ("pinctrl: ocelot: Fix interrupt controller")
> 
> from Linus' tree and commit:
> 
>   181f604b33cd ("pinctrl: ocelot: add ability to be used in a non-mmio configuration")
> 
> from the net-next tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Hi Stephen,

I can see how this conflict came about. If there is anything specific I
can do to try to recognize and avoid these in the future, please let me
know. And other subsystem maintainers, please let me know if there is
anything I have to do / should have done.

Thanks, and apologies.

Colin Foster